summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorRobert Buchholz <rbu@gentoo.org>2007-01-07 03:09:00 +0000
committerRobert Buchholz <rbu@gentoo.org>2007-01-07 03:09:00 +0000
commit54f581c5521f59ecb2e2c409ee2913f8818f4644 (patch)
treead836ce5e50fc978a33aac777b887e0fba793003 /app-misc/g15daemon/files
parentQA: Removed unused versions. (diff)
downloadhistorical-54f581c5521f59ecb2e2c409ee2913f8818f4644.tar.gz
historical-54f581c5521f59ecb2e2c409ee2913f8818f4644.tar.bz2
historical-54f581c5521f59ecb2e2c409ee2913f8818f4644.zip
revbump as init script changed, cleanin out old
Package-Manager: portage-2.1.1-r2
Diffstat (limited to 'app-misc/g15daemon/files')
-rw-r--r--app-misc/g15daemon/files/digest-g15daemon-1.2.6a-r13
-rw-r--r--app-misc/g15daemon/files/g15daemon-1.2.6a.confd5
-rw-r--r--app-misc/g15daemon/files/g15daemon-1.2.6a.initd36
3 files changed, 44 insertions, 0 deletions
diff --git a/app-misc/g15daemon/files/digest-g15daemon-1.2.6a-r1 b/app-misc/g15daemon/files/digest-g15daemon-1.2.6a-r1
new file mode 100644
index 000000000000..d5d09ba45650
--- /dev/null
+++ b/app-misc/g15daemon/files/digest-g15daemon-1.2.6a-r1
@@ -0,0 +1,3 @@
+MD5 ba220f1fda33283af307c109cc520f61 g15daemon-1.2.6a.tar.bz2 273767
+RMD160 947441a1c89d1f45f02094a59735f488a76ce285 g15daemon-1.2.6a.tar.bz2 273767
+SHA256 583c4bece816b712959aba51f49d78bb587e215fbb6a322efe832477c74f2564 g15daemon-1.2.6a.tar.bz2 273767
diff --git a/app-misc/g15daemon/files/g15daemon-1.2.6a.confd b/app-misc/g15daemon/files/g15daemon-1.2.6a.confd
new file mode 100644
index 000000000000..c190c17f2b63
--- /dev/null
+++ b/app-misc/g15daemon/files/g15daemon-1.2.6a.confd
@@ -0,0 +1,5 @@
+# /etc/conf.d/g15daemon: Configuration for the g15daemon
+
+# Key to switch the client-screens. Default is the MR key,
+# Set to "yes" to use L1 key instead (black round key below the LCD, above the multimedia keys).
+CLIENT_SWITCH_L1="no" \ No newline at end of file
diff --git a/app-misc/g15daemon/files/g15daemon-1.2.6a.initd b/app-misc/g15daemon/files/g15daemon-1.2.6a.initd
new file mode 100644
index 000000000000..499fcd5f3422
--- /dev/null
+++ b/app-misc/g15daemon/files/g15daemon-1.2.6a.initd
@@ -0,0 +1,36 @@
+#!/sbin/runscript
+# Copyright 1999-2007 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: /var/cvsroot/gentoo-x86/app-misc/g15daemon/files/g15daemon-1.2.6a.initd,v 1.1 2007/01/07 03:09:00 rbu Exp $
+
+# Init script for g15daemon
+
+depend() {
+ after hotplug
+ after usb
+ after modules
+}
+
+start() {
+ ebegin "Starting g15daemon"
+
+ # Does the input device already exist?
+ if [[ -e /proc/modules && ! -e /dev/input/uinput ]] ; then
+ # We can load modules, but uinput device does not exist
+ einfo "Loading uinput module"
+ /sbin/modprobe uinput &> /dev/null
+ fi
+
+ local SWITCHKEY=""
+ [[ ${CLIENT_SWITCH_L1} = "yes" ]] && SWITCHKEY="--switch"
+ start-stop-daemon --start --background --pidfile /var/run/g15daemon.pid \
+ --exec /usr/sbin/g15daemon -- ${SWITCHKEY}
+ eend $? "Failed to start g15daemon."
+}
+
+stop() {
+ ebegin "Stopping g15daemon"
+ /usr/sbin/g15daemon -k 2&> /dev/null \
+ || start-stop-daemon --stop --quiet --pidfile /var/run/g15daemon.pid
+ eend $?
+}